Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deft.extension.decoration.protect
Class ProtectedDecorator

    java.lang.Object
      org.deft.repository.ast.decoration.AstDecorator
          org.deft.extension.decoration.protect.ProtectedDecorator

    public class ProtectedDecorator

extends org.deft.repository.ast.decoration.AstDecorator

Indicates a protected area in the XML representation of the snippet. This area should't be touched by following operations.

Author:
  Martin Heinzerling

Constructor Summary
`ProtectedDecorator()`

Method Summary
`void` | `applyDecoration(org.deft.repository.ast.TreeNode root)`
`void` | `buildAndAddGroupLists(java.util.List<org.deft.repository.ast.TokenNode> tokens)`
`org.deft.repository.ast.decoration.Ident` | `getIdent()`

Methods inherited from class org.deft.repository.ast.decoration.AstDecorator
`equals, getFirstGroupList, getGroupLists`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtectedDecorator

    public ProtectedDecorator()

Method Detail

### applyDecoration

    public void applyDecoration(org.deft.repository.ast.TreeNode root)

  Overrides:
    `applyDecoration` in class `org.deft.repository.ast.decoration.AstDecorator`

### getIdent

    public org.deft.repository.ast.decoration.Ident getIdent()

  Specified by:
    `getIdent` in class `org.deft.repository.ast.decoration.AstDecorator`

### buildAndAddGroupLists

    public void buildAndAddGroupLists(java.util.List<org.deft.repository.ast.TokenNode> tokens)

  Specified by:
    `buildAndAddGroupLists` in class `org.deft.repository.ast.decoration.AstDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD